crashpad::ExceptionInformation Struct Reference

Structure read out of the client process by the crash handler when an exception occurs. More...

`#include "util/win/registration_protocol_win.h"`

## Public Attributes

LinuxVMAddress | siginfo_address
| The address of the `siginfo_t` passed to the signal handler in the crashed process.
LinuxVMAddress | context_address
| The address of the `ucontext_t` passed to the signal handler in the crashed process.
pid_t | thread_id
| The thread ID of the thread which received the signal.
WinVMAddress | exception_pointers
| The address of an EXCEPTION_POINTERS structure in the client process that describes the exception.
DWORD | thread_id
| The thread on which the exception happened.

## Detailed Description

Structure read out of the client process by the crash handler when an exception occurs.

The documentation for this struct was generated from the following files:

- util/linux/exception_information.h
- util/win/registration_protocol_win.h